Skip to main content
GET
/
v1
/
subscription-plans
List subscription plans
curl --request GET \
  --url https://api-global.fastpaybrasil.com/v1/subscription-plans \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
      "merchantId": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
      "name": "Plano Premium Mensal",
      "price": 99.9,
      "currency": "BRL",
      "recurrenceType": "monthly",
      "recurrenceInterval": null,
      "endDate": null,
      "buyerMessage": "Bem-vindo ao Plano Premium!",
      "paymentMethods": [
        "credit_card"
      ],
      "imageUrl": "https://storage.example.com/plans/image.png",
      "status": "active",
      "activeSubscriptionsCount": 150,
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    }
  ],
  "meta": {
    "total": 5,
    "page": 1,
    "limit": 10,
    "totalPages": 1
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Query Parameters

merchantId
string

Filter by merchant ID

status
enum<string>

Filter by plan status

Available options:
active,
inactive
page
integer
default:1

Page number (starts at 1)

size
integer
default:10

Number of items per page

Response

Successfully retrieved the list of subscription plans

data
object[]

Array of subscription plans in the current page

meta
object